com.lowagie.text.pdf

## Class PdfDashPattern

- java.lang.Object
- - com.lowagie.text.pdf.PdfObject
  - - com.lowagie.text.pdf.PdfArray
    - - com.lowagie.text.pdf.PdfDashPattern

-     public class PdfDashPattern
      extends PdfArray

  A `PdfDashPattern` defines a dash pattern as described in the PDF Reference Manual version 1.3 p 325 (section 8.4.3).
  See Also:
    `PdfArray`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private float` | `dash` This is the length of a dash.
    `private float` | `gap` This is the length of a gap.
    `private float` | `phase` This is the phase.

    - ### Fields inherited from class com.lowagie.text.pdf.PdfArray

      `arrayList`

    - ### Fields inherited from class com.lowagie.text.pdf.PdfObject

      `ARRAY, BOOLEAN, bytes, DICTIONARY, INDIRECT, indRef, NAME, NOTHING, NULL, NUMBER, STREAM, STRING, TEXT_PDFDOCENCODING, TEXT_UNICODE, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PdfDashPattern()` Constructs a new `PdfDashPattern`.
    `PdfDashPattern(float dash)` Constructs a new `PdfDashPattern`.
    `PdfDashPattern(float dash, float gap)` Constructs a new `PdfDashPattern`.
    `PdfDashPattern(float dash, float gap, float phase)` Constructs a new `PdfDashPattern`.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(float n)`
    `void` | `toPdf(PdfWriter writer, java.io.OutputStream os)` Returns the PDF representation of this `PdfArray`.

    - ### Methods inherited from class com.lowagie.text.pdf.PdfArray

      `add, add, add, add, addFirst, contains, getArrayList, getAsArray, getAsBoolean, getAsDict, getAsIndirectObject, getAsName, getAsNumber, getAsStream, getAsString, getDirectObject, getPdfObject, isEmpty, listIterator, remove, set, size, toString`

    - ### Methods inherited from class com.lowagie.text.pdf.PdfObject

      `canBeInObjStm, getBytes, getIndRef, isArray, isBoolean, isDictionary, isIndirect, isName, isNull, isNumber, isStream, isString, length, setContent, setIndRef, type`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### dash

          private float dash

      This is the length of a dash.

    - #### gap

          private float gap

      This is the length of a gap.

    - #### phase

          private float phase

      This is the phase.

  - ### Constructor Detail

    - #### PdfDashPattern

          public PdfDashPattern()

      Constructs a new `PdfDashPattern`.

    - #### PdfDashPattern

          public PdfDashPattern(float dash)

      Constructs a new `PdfDashPattern`.

    - #### PdfDashPattern

          public PdfDashPattern(float dash,
                        float gap)

      Constructs a new `PdfDashPattern`.

    - #### PdfDashPattern

          public PdfDashPattern(float dash,
                        float gap,
                        float phase)

      Constructs a new `PdfDashPattern`.

  - ### Method Detail

    - #### add

          public void add(float n)

    - #### toPdf

          public void toPdf(PdfWriter writer,
                   java.io.OutputStream os)
                     throws java.io.IOException

      Returns the PDF representation of this `PdfArray`.
      Overrides:
        `toPdf` in class `PdfArray`
      Parameters:
        `writer` - for backwards compatibility
        `os` - the `OutputStream` to write the bytes to.
      Throws:
        `java.io.IOException`